package kr.co.icontrols.v40ioctl;

public class V40IOInterface {

    String TAG = "V40IOInterface";

    static {
        System.loadLibrary("wpd_v40interface-jni");
    }

    public native int WpdInterfaceOpen();

    public native int WpdInterfaceClose();

    public native int WpdInterfaceControl(int cmd, int arg);

    public native int SetMacAddr(String mac);

    public native int IpAddr(String mac);

    public native int GatewayIp(String mac);

    public native int NetMask(String mac);

    public native int NetSet();

    public native int LiveUpdate();

    public native int UsbUpdate();

    public native int LcdWakeUp();

    public native void NetDns1(String dns);

    public native void NetDns2(String dns);

    public native void volumectl(String vol);

    public native int setVolume(int vol); // volumectl과 동일 기능(set fm1288 spk volume)

    public native int getVolume();

    public native void Reboot(int sec);

    public native void ADBenable(String port);
    
    public native void ADBdisable();

    public native int ADBstate();

}
